Cant build sdk 32 Expokit


#1

Im trying to update the sdk to v 32.
Im getting this error: ‘EXAppLoaderProvider/EXAppRecordInterface.h’ file not found in the ios project.

Im following this guide: https://docs.expo.io/versions/v32.0.0/expokit/expokit/#ios-1
Using the “ios/2.10.3” of expokit

I dont know whats happening :S


#2

Hello, I’m having the same issue:

“EXAppLoaderProvider/EXAppRecordInterface.h” is not found.

Is it possible we’ve missed a Podfile dependency?


#3

@fcaride I was able to solve the problem by creating a new Expo project with the Expo CLI, ejecting, and copying the ./ios/Podfile to my existing project.

  1. Install the latest version of the Expo CLI:
    npm install -g expo-cli
    Reference: https://docs.expo.io/versions/v32.0.0/introduction/installation/

  2. Create a new Expo project:
    expo init
    Reference: https://docs.expo.io/versions/v32.0.0/workflow/up-and-running/

  3. Eject to ExpoKit:
    expo eject
    Reference: https://docs.expo.io/versions/v32.0.0/expokit/eject/

  4. Install Pods and copy the Podfile
    cd ios
    pod install
    cp ./Podfile <EXISTING_PROJECT>/ios/Podfile
    Reference (Step 3): https://docs.expo.io/versions/v32.0.0/expokit/expokit/

  5. Change the Podfile target:
    target '<YOUR_EXISTING_TARGET>' do

  6. Make sure to update the Podfile with any existing, custom Pods.

It seems the ExpoKit Pods change between ExpoKit versions. I haven’t found a reference to this in the ExpoKit docs, so I wonder if there’s a simpler solution that I missed. For now, I’ll plan to follow these steps to update ExpoKit.


#4

Thanks for your replay! But i couldnt make it work i did what you said but nothing… :sob:


#5

Steps i did:

  1. Install the latest version of the Expo CLI:
    npm install -g expo-cli
  2. Create a new Expo project:
    expo init
  3. Eject to ExpoKit:
    expo eject
  4. Install Pods and copy the Podfile
    cd ios
    pod install

Then i have this error: 'Unable to find a specification for ‘EXTaskManagerInterface’ depended upon by ‘EXLocation’.

  1. Then i add the
    pod ‘EXTaskManagerInterface’,
    :path = “…/node_modules/expo-task-manager-interface/ios”
    recomended here: https://github.com/expo/expo-cli/issues/289

  2. Then i do pod install, it works.

  3. I hit play in the new project it doesnt even work it says: ‘EXAppLoaderProvider/EXAppRecordInterface.h’ file not found in the ios project.


#6

I was able to resolve this issue by adding the following to my podfile:

  pod 'EXAppLoaderProvider',
    :path => "../node_modules/expo-app-loader-provider/ios"

#7

Thank you i was able to make it work with that line